#!/bin/bash

SETUP_INDICATOR="/home/libervia/.local/share/libervia/setup_complete.flag"
FORUMS_JSON_FILE="/home/libervia/forums.json"

if [ ! -f "$SETUP_INDICATOR" ]; then
    echo "First run detected. Setting up the environment and configuration."

    libervia-cli profile modify -D -cp demo --pwd demo
    libervia-cli forums set -p demo < $FORUMS_JSON_FILE
    libervia-cli bookmarks add -pdemo -a demo@chat.server1.test

    touch "$SETUP_INDICATOR"
    echo "Initial setup complete."
else
    echo "Not the first run. Skipping setup."
fi
